
from functools import lru_cache

from pydantic.v1 import BaseSettings


class Settings(BaseSettings):
    """Application configuration settings"""
    ASTRA_DB_API_ENDPOINT: str = "https://0c52512b-0c65-4e70-ac47-71edf5244a82-us-east-2.apps.astra.datastax.com"
    ASTRA_DB_APPLICATION_TOKEN: str = "AstraCS:EvXpFFafufegdQJvhqlYxmxt:ef86b5996013b12140b69254bd554d7e8e10eb5a7137859b9c432f92a5a3b65c"
    ASTRA_DB_NAMESPACE: str = "default_keyspace"
    
    # Default settings
    EMBEDDING_MODEL: str = "sentence-transformers/all-mpnet-base-v2"
    
    class Config:
        env_file = ".env"
        env_file_encoding = "utf-8"
        extra = "allow"  # Allow extra fields

@lru_cache()
def get_settings():
    """
    Cached settings retrieval to optimize performance
    
    Returns:
        Settings: Configured application settings
    """
    return Settings()
